PAPI_get_event_info(3)

NAME
PAPI_get_event_info - Get the event's name and description info.

SYNOPSIS

Detailed Description

Parameters
    EventCode event code (preset or native)
    info structure with the event information PAPI_event_info_t

Return values
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOTPRESET The PAPI preset mask was set, but the hardware event specified is not a valid PAPI preset.
    PAPI_ENOEVNT The PAPI preset is not available on the underlying hardware.

This function fills the event information into a structure. In Fortran, some fields of the structure are returned explicitly. This function works with existing PAPI preset and native event codes.

See also
    PAPI_event_name_to_code

Author

Generated automatically by Doxygen for PAPI from the source code.